crashpad::CrashReportDatabase::UploadReport Class Reference

A crash report that is in the process of being uploaded. More...

`#include "client/crash_report_database.h"`

Inheritance diagram for crashpad::CrashReportDatabase::UploadReport:

## Public Member Functions

FileReader * | Reader () const
| An open FileReader with which to read the report.
std::map< std::string, FileReader * > | GetAttachments () const
| Obtains a mapping of names to file readers for any attachments for the report. More...

## Friends

class | CrashReportDatabase
class | CrashReportDatabaseGeneric
class | CrashReportDatabaseMac
class | CrashReportDatabaseWin

## Additional Inherited Members

Public Attributes inherited from crashpad::CrashReportDatabase::Report
UUID | uuid
base::FilePath | file_path
std::string | id
| An identifier issued to this crash report by a collection server.
time_t | creation_time
| The time at which the report was generated.
bool | uploaded
time_t | last_upload_attempt_time
int | upload_attempts
bool | upload_explicitly_requested

## Detailed Description

A crash report that is in the process of being uploaded.

An instance of this class should be created via GetReportForUploading().

## Member Function Documentation

## GetAttachments()

std::map<std::string, FileReader*> crashpad::CrashReportDatabase::UploadReport::GetAttachments | ( |  | ) | const

inline

Obtains a mapping of names to file readers for any attachments for the report.

This is not implemented on macOS or Windows.

The documentation for this class was generated from the following files:

- client/crash_report_database.h
- client/crash_report_database.cc
- client/crash_report_database_generic.cc
- client/crash_report_database_mac.mm
- client/crash_report_database_win.cc